@echo off
cls
title SpybotSD
echo.
echo  1. Start (Press ENTER)
echo  2. Update Definitions and Run
echo  3. Integrate Definitions Updates in SpybotSD.7z (only on USB)
echo.
set /p upd=Choose an option : 
if "%upd%"=="2" goto u
if "%upd%"=="3" goto u
goto s
:u
echo Downloading...
SDUpdate.exe /autoupdate /autoclose
del /f /q Updates\*.exe 2>nul
del /f /q Updates\*.zip 2>nul
if "%upd%"=="3" 7z.exe a SpybotSD.7z -x!7z.* -x!SpybotSD.7z&move /y SpybotSD.7z "%*Files"
:s
REG ADD "HKCU\Software\Safer Networking Limited\SpybotSnD" /v WizardRun /t REG_DWORD /d 1 /f>nul
echo Waiting for the program to end...
start "" /WAIT /D"%TEMP%\HBCD\SpybotSD" "SpybotSD.exe"
echo press any key to CLEANUP
pause>nul
rmdir /s /q "%ALLUSERSPROFILE%\Spybot - Search & Destroy"
REG DELETE "HKCU\Software\Safer Networking Limited\SpybotSnD" /f
for %%f in (disabled sbe sbi sbs tinfo tnfo uti uts) do reg DELETE HKCR\SpybotSD.%%fFile /f& reg DELETE HKLM\Software\Classes\.%%f /f
